#!/bin/sh

#------------------------------------------------------------------------------
# This is a simple example job script with SGE scheduler (e.g., argon.uiowa)
#------------------------------------------------------------------------------
#$ -N JobSGE
#$ -q ARROMA
#$ -l h_rt=24:00:00
#$ -l h_vmem=4G
#$ -cwd

#------------------------------------------------------------------------------
# This is smiple example jobs script with SLURM (e.g., taki@umbc, crane@unl)
#------------------------------------------------------------------------------
#SBATCH --job-name=JobSLURM
#SBATCH --time=00:30:00
#SBATCH --partition=batch
#SBATCH --error=job.%J.e
#SBATCH --output=job.%J.o

#------------------------------------------------------------------------------
# This is a simple example job script with PBS scheduler (e.g., nasa Pleiades)
#------------------------------------------------------------------------------
##: 
##PBS -N JobPBS
##PBS -l select=1:ncpus=1:model=san
##PBS -q normal

# unlimited memory and enable large stack size
ulimit -s unlimited
export KMP_STACKSIZE=9209715200

#------------------------------------------------------------------------------
# Load necessary modules (intel fortran and netcdf)
#------------------------------------------------------------------------------
# For argon@uiowa only:
#module load netcdf-fortran/4.4.4_parallel_studio-2017.1  # argon@uiowa

# For taki@umbc only:
module load intel/2018b
module load netCDF-Fortran/4.4.4-intel-2018b

# For Pleiades@NASA-NAS only:
#module load comp-intel/2015.3.187
#module load hdf4/4.2.12
#module load hdf5/1.8.18_serial
#module load netcdf/4.4.1.1_serial

#------------------------------------------------------------------------------
# Define your run & out directory
#------------------------------------------------------------------------------
rundir=./
outdir=./

#------------------------------------------------------------------------------
# Now go to the run directory and start to run
#------------------------------------------------------------------------------
cd $rundir
if [ ! -d "$outdir" ]; then
   mkdir $outdir
fi

time ./unlvrtm.exe

# finially delete the executable file
#rm ./unlvrtm.exe

